Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040626
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Order Preparationmajoralways2019-04-16 13:012019-04-26 10:25
ReporterbarbararoncatoView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityhighResolutionfixedFixed in VersionRR19Q3
StatusclosedFix in branchFixed in SCM revisionc02cc9b71215
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toadrianromero
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040626: When changing the printer of one product in Order Preparation, all printers of the remaining products are changed.

DescriptionWhen changing the printer of one product in Order Preparation, all printers of the remaining products are changed.

Video: https://drive.google.com/file/d/1MLzxfzh-ymP7Pet13rEfA18X342pOi4Q/view [^]
Steps To Reproduce1. Create a layaway with products with stock (more than one product).
2. Pay it totally.
3. Select the menu option "Order Preparation".
4. In the "Select Order(s) for preparation" pop up, change the printer of one of the products.
--- The printers of the remaining products are also changed.
TagsNo tags attached.
Attached Filespatch file icon issue 40626 source orderpreparation 1.patch [^] (956 bytes) 2019-04-19 09:23 [Show Content]
patch file icon issue 40626 source orderpreparation 2.patch [^] (2,834 bytes) 2019-04-19 09:23 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0111278)
hgbot (developer)
2019-04-24 13:33

Repository: erp/pmods/org.openbravo.retail.orderpreparation
Changeset: c02cc9b712158c5ff916c1e8237c3af601a152b1
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Wed Apr 24 17:03:24 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.orderpreparation/rev/c02cc9b712158c5ff916c1e8237c3af601a152b1 [^]

Fixed issue 40626 : Printer should not updated for all lines if it is changed in one line

* In Order Preparation popup, if printer combo is changed for one single, printer value should not be updated for other lines

---
M web/org.openbravo.retail.orderpreparation/js/components/orderselector.js
---
(0111351)
adrianromero (manager)
2019-04-26 10:25

Verified

- Issue History
Date Modified Username Field Change
2019-04-16 13:01 barbararoncato New Issue
2019-04-16 13:01 barbararoncato Assigned To => Retail
2019-04-16 13:01 barbararoncato Triggers an Emergency Pack => No
2019-04-17 09:35 guillermogil Category Web POS => Order Preparation
2019-04-19 09:17 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2019-04-19 09:23 ranjith_qualiantech_com Status new => scheduled
2019-04-19 09:23 ranjith_qualiantech_com File Added: issue 40626 source orderpreparation 1.patch
2019-04-19 09:23 ranjith_qualiantech_com File Added: issue 40626 source orderpreparation 2.patch
2019-04-24 13:33 hgbot Checkin
2019-04-24 13:33 hgbot Note Added: 0111278
2019-04-24 13:33 hgbot Status scheduled => resolved
2019-04-24 13:33 hgbot Resolution open => fixed
2019-04-24 13:33 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.orderpreparation/rev/c02cc9b712158c5ff916c1e8237c3af601a152b1 [^]
2019-04-25 17:05 adrianromero Review Assigned To => adrianromero
2019-04-26 10:25 adrianromero Note Added: 0111351
2019-04-26 10:25 adrianromero Status resolved => closed
2019-04-26 10:25 adrianromero Fixed in Version => RR19Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker